Description: Fix raw string
 This avoids a warning during install of the package.
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1070219
Forwarded: no
Last-Update: 2024-05-02

--- pyasn-1.6.1.orig/pyasn/__init__.py
+++ pyasn-1.6.1/pyasn/__init__.py
@@ -198,7 +198,7 @@ class pyasn(object):
         :param asdot:  "AS[Number].[Number]" representation of an autonomous system
         :return: 32bit AS number
         """
-        pattern = re.compile("^[AS]|[as]|[aS]|[As]][0-9]*(\.)?[0-9]+")
+        pattern = re.compile(r"^[AS]|[as]|[aS]|[As]][0-9]*(\.)?[0-9]+")
         match = pattern.match(asdot)
         if not match:
             raise ValueError("Invalid asdot format for input. input format must be something like"
